# -*- coding: utf8 -*-
from __future__ import unicode_literals

import datetime

parser_class = "cfx_neoplex"


def test_decode_results(self):
    date = datetime.datetime(2023, 8, 1, 10, 44, 27)
    worklist = self.decode(
        """
    "Assay Parameters:","STI-14","","","","","","","","","","","","","","","","","","",""
    "Data Name:","2023-06-20_13-31-37_CFXB ist14","","","","","","","","","","","","","","","","","","",""
    "","","","","","","","","","","","","","","","","","","","","",""
    "Analysis Date:","2023-08-01 10:44:27","","","","","","","","","","","","","","","","","","",""
    "","","","","","","","","","","","","","","","","","","","","",""
    "No.","Name","Well","SampleType","FAM",,,"HEX",,,"Cal Red 610",,,"Quasar 670",,,"Quasar 705",,"IC","Result","Comment",""
    "1","+","A01","PC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Positive Control","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","+","-","-","-","","","",""
    "2","-","B01","NC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Negative Control(Valid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "3","T110067101","C01","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "4","T1831520067","D01","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "5","T1531920108","E01","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","MG, TP","Comment",""
    "","","","","-","-","-","-","+","-","-","-","-","+","-","-","-","-","","","",""
    "6","T1231920070","F01","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","MG, TP","",""
    "","","","","-","-","-","-","+","-","-","-","-","+","-","-","-","-","","","",""
    "7","T1531720032","G01","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "8","T1831720018","H01","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "9","T1131920320","A02","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "10","T1131920329","B02","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "11","T1831920063","C02","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "12","T1231920083","D02","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "13","T1131920443","E02","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","UU, TP","",""
    "","","","","-","-","-","-","-","-","-","-","+","+","-","-","-","-","","","",""
    "14","T1131920396","F02","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "15","T1131920392","G02","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","UU, TP, TV","",""
    "","","","","-","-","-","-","-","-","-","-","+","+","+","-","-","-","","","",""
    "16","T1531620092","H02","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "17","T1131920361","A03","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","UU, TP","",""
    "","","","","-","-","-","-","-","-","-","-","+","+","-","-","-","-","","","",""
    "18","T1031920085","B03","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "19","T110078661","C03","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","TP","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","-","-","-","-","","","",""
    "20","-","D03","NC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Negative Control(Valid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "21","-","E03","NC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Negative Control(Valid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "22","-","F03","NC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Negative Control(Valid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "23","-","G03","NC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Negative Control(Valid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "24","-","H03","NC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Negative Control(Valid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "25","+","A04","PC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Positive Control","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","+","-","-","-","","","",""
    "26","+","B04","PC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Positive Control","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","+","-","-","-","","","",""
    "27","+","C04","PC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Positive Control","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","+","-","-","-","","","",""
    "28","+","D04","PC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Positive Control","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","+","-","-","-","","","",""
    "29","+","E04","PC","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Positive Control","",""
    "","","","","-","-","-","-","-","-","-","-","-","+","+","-","-","-","","","",""
    "30","/","F04","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "31","/","G04","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "32","/","H04","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "33","","A05","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "34","","B05","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "35","","C05","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "36","","D05","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "37","","E05","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "38","","F05","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "39","","G05","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "40","","H05","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "41","T150023813","A06","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","+","CA, UP, MH, GV, GBS","",""
    "","","","","+","+","-","+","-","-","-","-","-","-","-","+","-","+","","","",""
    "42","T110067379","B06","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","+","CA, GBS","",""
    "","","","","+","-","-","-","-","-","-","-","-","-","-","-","-","+","","","",""
    "43","T110067181","C06","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","+","CA, UP, GV, GBS","",""
    "","","","","+","+","-","-","-","-","-","-","-","-","-","+","-","+","","","",""
    "44","S001","D06","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","+","GBS","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","+","","","",""
    "45","S002","E06","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","+","GBS","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","+","","","",""
    "46","","F06","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "47","","G06","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "48","","H06","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","+","CA, UP, CT, MH, MG, NG, HSV1, HSV2, UU, TP, TV, GV, HD, GBS","",""
    "","","","","+","+","+","+","+","+","+","+","+","+","+","+","+","+","","","",""
    "49","","A07","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "50","","B07","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "51","","C07","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "52","","D07","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "53","","E07","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "54","","F07","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "55","","G07","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "56","","H07","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "57","","A08","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "58","","B08","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "59","","C08","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "60","","D08","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "61","","E08","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "62","","F08","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "63","","G08","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "64","","H08","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "65","","A09","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "66","","B09","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "67","","C09","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "68","","D09","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "69","","E09","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "70","","F09","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "71","","G09","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "72","","H09","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "73","","A10","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "74","","B10","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "75","","C10","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "76","","D10","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "77","","E10","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "78","","F10","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "79","","G10","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "80","","H10","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "81","","A11","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "82","","B11","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "83","","C11","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "84","","D11","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "85","","E11","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "86","","F11","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "87","","G11","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "88","","H11","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "89","","A12","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "90","","B12","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "91","","C12","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "92","","D12","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "93","","E12","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "94","","F12","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "95","","G12","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    "96","","H12","SAMPLE","CA","UP","CT","MH","MG","NG","HSV1","HSV2","UU","TP","TV","GV","HD","GBS","-","Not detected (IC Invalid)","",""
    "","","","","-","-","-","-","-","-","-","-","-","-","-","-","-","-","","","",""
    """
    )
    expected = {
        "context": "result",
        "samples": [
            {
                "control_lot": "+_1",
                "rack": "A01",
                "results": [
                    {"code": "CA", "value": "-", "date": date, "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "+", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "Positive Control", "date": date},
                ],
                "sample_id": "+_1",
                "type": "control",
            },
            {
                "control_lot": "-_2",
                "rack": "B01",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {
                        "code": "Result",
                        "value": "Negative Control(Valid)",
                        "date": date,
                    },
                ],
                "sample_id": "-_2",
                "type": "control",
            },
            {
                "rack": "C01",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T110067101",
                "type": "patient",
            },
            {
                "rack": "D01",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1831520067",
                "type": "patient",
            },
            {
                "rack": "E01",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "+", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "MG, TP", "date": date},
                    {"code": "Comment", "value": "Comment", "date": date},
                ],
                "sample_id": "T1531920108",
                "type": "patient",
            },
            {
                "rack": "F01",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "+", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "MG, TP", "date": date},
                ],
                "sample_id": "T1231920070",
                "type": "patient",
            },
            {
                "rack": "G01",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1531720032",
                "type": "patient",
            },
            {
                "rack": "H01",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1831720018",
                "type": "patient",
            },
            {
                "rack": "A02",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1131920320",
                "type": "patient",
            },
            {
                "rack": "B02",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1131920329",
                "type": "patient",
            },
            {
                "rack": "C02",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1831920063",
                "type": "patient",
            },
            {
                "rack": "D02",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1231920083",
                "type": "patient",
            },
            {
                "rack": "E02",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "+", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "UU, TP", "date": date},
                ],
                "sample_id": "T1131920443",
                "type": "patient",
            },
            {
                "rack": "F02",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1131920396",
                "type": "patient",
            },
            {
                "rack": "G02",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "+", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "+", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "UU, TP, TV", "date": date},
                ],
                "sample_id": "T1131920392",
                "type": "patient",
            },
            {
                "rack": "H02",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1531620092",
                "type": "patient",
            },
            {
                "rack": "A03",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "+", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "UU, TP", "date": date},
                ],
                "sample_id": "T1131920361",
                "type": "patient",
            },
            {
                "rack": "B03",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T1031920085",
                "type": "patient",
            },
            {
                "rack": "C03",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "TP", "date": date},
                ],
                "sample_id": "T110078661",
                "type": "patient",
            },
            {
                "control_lot": "-_20",
                "rack": "D03",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {
                        "code": "Result",
                        "value": "Negative Control(Valid)",
                        "date": date,
                    },
                ],
                "sample_id": "-_20",
                "type": "control",
            },
            {
                "control_lot": "-_21",
                "rack": "E03",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {
                        "code": "Result",
                        "value": "Negative Control(Valid)",
                        "date": date,
                    },
                ],
                "sample_id": "-_21",
                "type": "control",
            },
            {
                "control_lot": "-_22",
                "rack": "F03",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {
                        "code": "Result",
                        "value": "Negative Control(Valid)",
                        "date": date,
                    },
                ],
                "sample_id": "-_22",
                "type": "control",
            },
            {
                "control_lot": "-_23",
                "rack": "G03",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {
                        "code": "Result",
                        "value": "Negative Control(Valid)",
                        "date": date,
                    },
                ],
                "sample_id": "-_23",
                "type": "control",
            },
            {
                "control_lot": "-_24",
                "rack": "H03",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {
                        "code": "Result",
                        "value": "Negative Control(Valid)",
                        "date": date,
                    },
                ],
                "sample_id": "-_24",
                "type": "control",
            },
            {
                "control_lot": "+_25",
                "rack": "A04",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "+", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "Positive Control", "date": date},
                ],
                "sample_id": "+_25",
                "type": "control",
            },
            {
                "control_lot": "+_26",
                "rack": "B04",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "+", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "Positive Control", "date": date},
                ],
                "sample_id": "+_26",
                "type": "control",
            },
            {
                "control_lot": "+_27",
                "rack": "C04",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "+", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "Positive Control", "date": date},
                ],
                "sample_id": "+_27",
                "type": "control",
            },
            {
                "control_lot": "+_28",
                "rack": "D04",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "+", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "Positive Control", "date": date},
                ],
                "sample_id": "+_28",
                "type": "control",
            },
            {
                "control_lot": "+_29",
                "rack": "E04",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "+", "date": date},
                    {"code": "TV", "value": "+", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "-", "date": date},
                    {"code": "IC", "value": "-", "date": date},
                    {"code": "Result", "value": "Positive Control", "date": date},
                ],
                "sample_id": "+_29",
                "type": "control",
            },
            {
                "rack": "A06",
                "results": [
                    {"code": "CA", "value": "+", "date": date},
                    {"code": "UP", "value": "+", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "+", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "+", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "+", "date": date},
                    {"code": "IC", "value": "+", "date": date},
                    {"code": "Result", "value": "CA, UP, MH, GV, GBS", "date": date},
                ],
                "sample_id": "T150023813",
                "type": "patient",
            },
            {
                "rack": "B06",
                "results": [
                    {"code": "CA", "value": "+", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "+", "date": date},
                    {"code": "IC", "value": "+", "date": date},
                    {"code": "Result", "value": "CA, GBS", "date": date},
                ],
                "sample_id": "T110067379",
                "type": "patient",
            },
            {
                "rack": "C06",
                "results": [
                    {"code": "CA", "value": "+", "date": date},
                    {"code": "UP", "value": "+", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "+", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "+", "date": date},
                    {"code": "IC", "value": "+", "date": date},
                    {"code": "Result", "value": "CA, UP, GV, GBS", "date": date},
                ],
                "sample_id": "T110067181",
                "type": "patient",
            },
            {
                "rack": "D06",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "+", "date": date},
                    {"code": "IC", "value": "+", "date": date},
                    {"code": "Result", "value": "GBS", "date": date},
                ],
                "sample_id": "S001",
                "type": "patient",
            },
            {
                "rack": "E06",
                "results": [
                    {"code": "CA", "value": "-", "date": date},
                    {"code": "UP", "value": "-", "date": date},
                    {"code": "CT", "value": "-", "date": date},
                    {"code": "MH", "value": "-", "date": date},
                    {"code": "MG", "value": "-", "date": date},
                    {"code": "NG", "value": "-", "date": date},
                    {"code": "HSV1", "value": "-", "date": date},
                    {"code": "HSV2", "value": "-", "date": date},
                    {"code": "UU", "value": "-", "date": date},
                    {"code": "TP", "value": "-", "date": date},
                    {"code": "TV", "value": "-", "date": date},
                    {"code": "GV", "value": "-", "date": date},
                    {"code": "HD", "value": "-", "date": date},
                    {"code": "GBS", "value": "+", "date": date},
                    {"code": "IC", "value": "+", "date": date},
                    {"code": "Result", "value": "GBS", "date": date},
                ],
                "sample_id": "S002",
                "type": "patient",
            },
        ],
    }
    assert worklist == expected
