# -*- coding: utf8 -*-
from __future__ import unicode_literals

import datetime

from driverng.tests import BaseTest


class TestProtocol(BaseTest):
    PROTOCOL_CLASS = "glims"

    MESSAGE = """MSH|^~\\&|GLIMS|cyberlab_HOUL|0844|cyberlab_HOUL|20220621003710||OUL^R22|052200092606|P|2.5|||NE|AL||8859/15|FR^Francais^GLIMS
    PID|1||2100523315^^^I_APHM||Nom&&Nom^Prenom^^^^Mme^L||YYYYMMDD|F|||Adresse Line1^Adresse Line2^MARSEILLE^^13010^FRA||06XXXXXXXX^PRN^CP^^^^^^^^^06XXXXXXXX~^NET^Internet^XXXX@msn.com|||||||||||N||||||N
    PV1|1|O|^^^^^^^^^^GLIMS||||||||||||||||58646622|||||||||||||||||||||||||20220601143500|20220601235959
    ORC|SC||1220085338^GLIMS||CM||^^^20220620190000^^R||20220621003710||||0844^^^^^^^^^^GLIMS||||TIMONE^Saisie Timone^GLIMS|
    OBR|1||1220085338^GLIMS|BG_SNG_HCGDDR_R^Date des dernieres regles^GLIMS^BG_SNG_HCGDDR_R^Date des dernieres regles^GLIMS|||20220620190000|||||||||||||||20220621003710||TIMONE|F||^^^20220620190000^^R|0844^MEDECINE DU TRAVAIL-TA&&MEDECINE DU TRAVAIL-TA^^^^^^ward^GLIMS
    TQ1|||||||20220620190000||R
    OBX|1|ST|BG_SNG_HCGDDR_R^Date des dernieres regles^GLIMS||15/05/22|||N|||F|||20220620190000|0556^Biochime Timone PTRR^I_APHM^0556^^I_APHM|Zscnd2^SCAN^DEMANDE2^^^^^^GLIMS||DI_RENSEIGNEMENTS_T^GLIMS|20220620221030
    ORC|SC||1220085338^GLIMS||CM||^^^20220620190000^^R||20220621003710||||0844^^^^^^^^^^GLIMS||||TIMONE^Saisie Timone^GLIMS|
    OBR|2||1220085338^GLIMS|BG_HCG^HCG Totale^GLIMS|||20220620190000|||||||||||||||20220621003710||TIMONE|F||^^^20220620190000^^R|0844^MEDECINE DU TRAVAIL-TA&&MEDECINE DU TRAVAIL-TA^^^^^^ward^GLIMS
    TQ1|||||||20220620190000||R
    OBX|1|FT|BG_SNG_HCGVN_R^VN HCG^GLIMS||Presomption de grossesse si HCG > 5 UI/L. Pour les valeurs tres basses, de l'ordre de 3 a 10 UI/L, en fonction du contexte clinique et au moindre doute, un 2eme dosage devra etre effectue apres 48h.|||N|||F|||20220620190000|0556^Biochime Timone PTRR^I_APHM^0556^^I_APHM|Zscnd2^SCAN^DEMANDE2^^^^^^GLIMS||DI_RENSEIGNEMENTS_T^GLIMS|20220620221030
    SPM|1|^122008533801&GLIMS||99_PHLI_GE_3^Plasma Heparine Litium avec Gel^GLIMS||||||||0^mL&mL&GLIMS|||||20220620190000|20220620221030||Y
    ORC|SC||1220085338^GLIMS||CM||^^^20220620190000^^R||20220621003710||||0844^^^^^^^^^^GLIMS||||TIMONE^Saisie Timone^GLIMS||
    OBR|3||1220085338^GLIMS|BG_HCG^HCG Totale^GLIMS|||20220620190000||0^mL&mL&GLIMS|||||20220620221030|99_PHLI_GE_3&Plasma Heparine Litium avec Gel&GLIMS|||||||20220621003710||TIMONE|F||^^^20220620190000^^R|0844^MEDECINE DU TRAVAILTA&&MEDECINE DU TRAVAIL-TA^^^^^^ward^GLIMS
    TQ1|||||||20220620190000||R
    OBX|1|FT|BG_SNG_HCGT_Q^HCG totale^GLIMS||8765 RV|UI/L^^GLIMS|0-5|A|||F|||20220620190000|0556^Biochime Timone PTRR^I_APHM^0556^^I_APHM|Code_valideur^Nom_Valideur&&Nom_Valideur^Prenom_valideur^^^^^^GLIMS |Methode: chimiluminescence^Methode: chimiluminescence^GLIMS|BS_ATELLICA_T1^GLIMS|20220621003644"""

    def test_ack(self):
        message = self.P.get_ack_message(
            self.MESSAGE.encode(), date=datetime.datetime(2022, 6, 21, 0, 37, 11)
        )
        expected = b"""MSH|^~\\&|0844||GLIMS||20220621003711||ACK^R22|052200092606|P|2.5|||||||\rMSA|AA|052200092606|Msg OK|||\r"""
        assert message == expected
