# -*- coding: utf8 -*-
from __future__ import unicode_literals

parser_class = "swing"


def test_order(self):
    _order_message = """
    A|123456||036666666|NYME|ANO|NJF|13/05/2011|0|||||
    B|123456||036666666|NYME|ANO|NJF|13/05/2011|0|||||
    """
    message = self.order()
    assert message == _order_message


def test_order_ipp_labo(self):
    self.configure(ipp_labo=True)
    _order_message = """
        A|123456||L036666666|NYME|ANO|NJF|13/05/2011|0|||||
        B|123456||L036666666|NYME|ANO|NJF|13/05/2011|0|||||
        """
    message = self.order()
    assert message == _order_message


def test_result(self):
    result = self.decode(
        """
    90101206|PR15B|1010|
    90105306|MI35A1|0000|
    90105306|MI35A2|1001|
    90105306|MI35A3|0000 1001|
    90105306|MO09A1|3102|
    90105306|MO09A2|4102|
    90105306|MO09A3|5002|
    90105306|MO09A4|6102|
    90105306|KELL|0003|
    90105306|MO09A5|1302|
    90105306|KELL|0003|
    90105306|PR15B|0010|
    """
    )
    expected = {
        "context": "result",
        "samples": [
            {
                "sample_id": "90101206",
                "results": [{"code": "PR15B", "value": "1010"}],
                "type": "patient",
            },
            {
                "sample_id": "90105306",
                "results": [
                    {"code": "MI35A1", "value": "0000"},
                    {"code": "MI35A2", "value": "1001"},
                    {"code": "MI35A3", "value": "0000 1001"},
                    {"code": "MO09A1", "value": "3102"},
                    {"code": "MO09A2", "value": "4102"},
                    {"code": "MO09A3", "value": "5002"},
                    {"code": "MO09A4", "value": "6102"},
                    {"code": "KELL", "value": "0003"},
                    {"code": "MO09A5", "value": "1302"},
                    {"code": "KELL", "value": "0003"},
                    {"code": "PR15B", "value": "0010"},
                ],
                "type": "patient",
            },
        ],
    }
    assert result == expected
